package net.cobem.grizzly.communication.events.stream;

import net.cobem.grizzly.communication.EventRequest;
import net.cobem.grizzly.communication.GameEvent;
import net.cobem.grizzly.communication.composers.stream.InitializeFriendStreamComposer;
import net.cobem.grizzly.habbohotel.sessions.Session;

public class InitializeFriendStreamEvent implements GameEvent {
    /*
        Link Types
        1 - View Profile
        2 - Go to Room
        3 - Achievement
        4 - Motto
        5 - Friend
        6 - External Link
        7 - Catalog
     */
    @Override
    public void compose(Session Session, EventRequest Request) {
        Session.sendResponse(InitializeFriendStreamComposer.compose());
        /*
        //new friends
        Message.addInt(1); //message ID
        Message.addInt(0); //type id
        Message.addString("1"); //message as string
        Message.addString(Session.getHabbo().Username);
        Message.addString(Session.getHabbo().Gender.toString().toLowerCase());
        Message.addString("http://localhost/Storage/Heads/look.gif?figure=" + Session.getHabbo().Look + ".gif");
        Message.addInt(10); //time ago
        Message.addInt(3);
        Message.addInt(7); //likes
        Message.addBool(true);
        Message.addBool(true);
        Message.addBool(false);
        Message.addString(8);
        Message.addString("Cecer1");

        //new motto
        Message.addInt(1); //message ID
        Message.addInt(3); //type id
        Message.addString("1"); //message as string
        Message.addString(Session.getHabbo().Username);
        Message.addString(Session.getHabbo().Gender.toString().toLowerCase());
        Message.addString("http://localhost/Storage/Heads/look.gif?figure=" + Session.getHabbo().Look + ".gif");
        Message.addInt(10); //time ago
        Message.addInt(3);
        Message.addInt(7); //likes
        Message.addBool(true);
        Message.addBool(true);
        Message.addBool(false);
        Message.addString(Session.getHabbo().Motto);

        //New Status
        Message.addInt(1); //message ID
        Message.addInt(5); //type id
        Message.addString("1"); //message as string
        Message.addString(Session.getHabbo().Username);
        Message.addString(Session.getHabbo().Gender.toString().toLowerCase());
        Message.addString("http://localhost/Storage/Heads/look.gif?figure=" + Session.getHabbo().Look + ".gif");
        Message.addInt(10); //time ago
        Message.addInt(3);
        Message.addInt(7); //likes
        Message.addBool(true);
        Message.addBool(true);
        Message.addBool(false);
        Message.addString("I love Grizzly!!");

        //Hotel Status
        Message.addInt(0); //message ID
        Message.addInt(4); //type id
        Message.addString("-1"); //message as string
        Message.addString("");
        Message.addString("null");
        Message.addString("");
        Message.addInt(0); //time ago
        Message.addInt(6);
        Message.addInt(0); //likes
        Message.addBool(true);
        Message.addBool(true);
        Message.addBool(false);
        Message.addString("This is an official message");
        Message.addString("http://cobem.net/"); */
    }

}
